## python-seqcluster 1.2.7%2Bds

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=seqcluster
export PYBUILD_BEFORE_TEST=cp -av {dir}/data {build_dir} || true

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	ln -s /usr/share/javascript/jquery-ui/themes/base/jquery-ui.css misc/css/jquery-ui.css
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman   doc/source build/man # Manpage generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml  doc/source build/html # HTML generator

override_dh_auto_install:
	dh_auto_install
	find debian/python3-seqcluster -name "*.bed" | xargs -r chmod -x
	# avoid hassle with refs to external instances of bootstrap and jquery
	rm -r debian/python3-seqcluster/usr/lib/python3*/dist-packages/data/examples_report/
	mv debian/python3-seqcluster/usr/bin debian/seqcluster/usr/

override_dh_installdocs:
	dh_installdocs
	# substitute with local copy of image - if image is available in first place
	sed -i 's%https://s3.amazonaws.com/github/ribbons/forkme_right_darkblue_121621.png%usr/share/doc/python-seqcluster-doc/html/forkme_right_darkblue_121621.png%' debian/python-seqcluster-doc/usr/share/doc/python-seqcluster-doc/html/*.html
	sed -i 's%http...i.makeagif.com.media.7-03-2016..*\.gif%not found%g' debian/python-seqcluster-doc/usr/share/doc/python-seqcluster-doc/html/outputs.html debian/python-seqcluster-doc/usr/share/doc/python-seqcluster-doc/html/getting_started.html
	cp debian/image/forkme_right_darkblue_121621.png debian/python-seqcluster-doc/usr/share/doc/python-seqcluster-doc/html/

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo -n "PWD:" $(shell pwd)
	ln -sf $(CURDIR)/data $(shell pybuild --print build_dir --interpreter python3)
	dh_auto_install
	sed -i '1s/$$/ -d/' $(CURDIR)/debian/python3-seqcluster/usr/bin/seqcluster
	PYBUILD_SYSTEM=custom \
	    PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
	    cd {build_dir}; export PYTHONPATH=$$(pwd):$$(build_dir); {interpreter} -m nose \
	    -q" dh_auto_test
else
	echo "Not running tests."
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f data/examples/cluster/seqs_map_rmlw.bam
	find . -name "*.bai" | xargs -r rm
	rm -rf seqcluster.egg-info/
	rm -rf test/test_automated_output
	rm -f misc/css/jquery-ui.css
