## python-seqcluster 1.2.7+ds

=== debian/changelog ===
python-seqcluster (1.2.7+ds-1) unstable; urgency=medium

  * Initial release (Closes: #903345)

    Upon rejection clarified the dual license of ./misc/js/dragscrollable.js
    and removed the jquery-ui.css from the source tree.

 -- Steffen Moeller <moeller@debian.org>  Tue, 07 Jul 2020 20:21:43 +0200
