=== debian/control ===
Source: python-seqcluster
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: contrib/science
#Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-toolz,
               python3-pybedtools,
               python3-pysam,
               python3-numpy,
               python3-progressbar,
               python3-nose,
               python3-recommonmark,
               python3-biopython,
               python3-pandas,
               python3-yaml,
               python3-mirtop,
               python3-scipy,
               samtools,
               bedtools,
               mirtop,
               libjs-jquery-ui,
               python3-colorlog <!nocheck>,
               vienna-rna <!nocheck>,
               python3-sphinx
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-seqcluster
Vcs-Git: https://salsa.debian.org/med-team/python-seqcluster.git
Homepage: https://github.com/lpantano/seqcluster
Rules-Requires-Root: no

Package: python3-seqcluster
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-pysam,
         python3-pybedtools,
         python3-scipy (>=0.15.1),
         python3-numpy,
         python3-nose (>=1.3.0),
         python3-progressbar (>=2.3.0),
         python3-pandas,
         python3-colorlog,
         python3-mirtop,
         python3-recommonmark,
         python3-yaml
Recommends: rna-star,
            bowtie2|bowtie,
            fastqc,
            samtools,
            bedtools,
            mirtop,
            python3-cutadapt,
            libjs-bootstrap,
            libjs-jquery,
            libjs-jquery-datatables,
            libjs-jquery-tablesorter,
            libjs-jquery-ui,
# listed as a requirement
            python3-dateutils,
            python3-tz,
# https://github.com/lpantano/seqcluster/blob/master/scripts/install_libraries.R
            r-bioc-deseq2,
            r-cran-devtools,
            r-cran-dplyr,
            r-cran-ggplot2,
            r-cran-gplots,
            r-cran-gridextra,
            r-cran-gtools,
            r-cran-knitr,
            r-cran-pheatmap,
            r-cran-reshape,
            vienna-rna,
            r-bioc-edger,
            r-bioc-htsfilter,
            r-bioc-degreport
Suggests: seqcluster
Description: analysis of small RNA in NGS data
 Identifies small RNA sequences of all sorts in RNA sequencing data. This is
 especially helpful for the identification of RNA that is neither coding nor
 belonging to the already well-established group of miRNA, towards many tools
 feel constrained to.
 .
 This package provides the Python module. For executables see the package
 'seqcluster'.
           
Package: seqcluster
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-seqcluster
Description: analysis of small RNA in NGS data
 Seqcluster investigates small RNA sequences of all sorts in RNA
 sequencing data. This is especially helpful for the identification of
 RNA that is neither coding nor belonging to the already well-established
 group of miRNA, towards many tools feel constrained to.

Package: python-seqcluster-doc
Architecture: all
Section: contrib/doc
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: analysis of small RNA in NGS data (documentation)
 Seqcluster investigates small RNA sequences of all sorts in RNA
 sequencing data. This is especially helpful for the identification of
 RNA that is neither coding nor belonging to the already well-established
 group of miRNA, towards many tools feel constrained to.
 .
 This package provides the HTML documentation for the
 Python-implemented seqcluster tool.
