## python-seqcluster 1.2.8+ds

=== debian/changelog ===
python-seqcluster (1.2.8+ds-1) unstable; urgency=medium

  * Team upload.
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 11:28:59 +0200
