=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: contrib/science
+XS-Autobuild: no
 #Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -27,7 +28,7 @@
                python3-colorlog <!nocheck>,
                vienna-rna <!nocheck>,
                python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-seqcluster
 Vcs-Git: https://salsa.debian.org/med-team/python-seqcluster.git
 Homepage: https://github.com/lpantano/seqcluster
@@ -39,10 +40,10 @@
          ${misc:Depends},
          python3-pysam,
          python3-pybedtools,
-         python3-scipy (>=0.15.1),
+         python3-scipy,
          python3-numpy,
-         python3-nose (>=1.3.0),
-         python3-progressbar (>=2.3.0),
+         python3-nose,
+         python3-progressbar,
          python3-pandas,
          python3-colorlog,
          python3-mirtop,
@@ -87,7 +88,7 @@
  .
  This package provides the Python module. For executables see the package
  'seqcluster'.
-           
+
 Package: seqcluster
 Architecture: all
 Depends: ${python3:Depends},
