=== debian/watch ===
version=4

opts="repack,compression=xz,repacksuffix=+ds,dversionmangle=auto,uversionmangle=s/a/~a/" \
   https://github.com/lpantano/seqcluster/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@
