## python-seqcluster 1.2.9%2Bds

=== debian/changelog ===
python-seqcluster (1.2.9+ds-3) unstable; urgency=medium

  * Team upload.
  * Add patch to switch tests from nose to nose2.
    Closes: #1018577

 -- Sascha Steinbiss <satta@debian.org>  Sat, 21 Jan 2023 10:04:10 +0100

python-seqcluster (1.2.9+ds-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * d/watch: Create proper download file name
  * Update lintian override info format in d/source/lintian-overrides on line 1.
  * Drop removed file from d/copyright

  [ Étienne Mollier ]
  * d/watch: move to git mode following github changes.

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2023 16:52:44 +0100

python-seqcluster (1.2.9+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 16:01:15 +0200

python-seqcluster (1.2.8+ds-2) unstable; urgency=medium

  * Team upload.

  [ Lance Lin ]
  * d/control: remove recommonmark & added myst-parser (Closes: #993623)
  * Added d/patches/remove_commonmark.patch to remove recommonmark code

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Section: contrib/python for Python3 package
  * Fix lintian override
  * For packages in contrib / non-free CI is not working since non-free is
    not in sources.list.  Thus deactivating d/salsa-ci.yml which would be
    added by future routine-update runs otherwise

 -- Lance Lin <LQi254@protonmail.com>  Thu, 07 Apr 2022 20:43:50 +0700
