=== debian/watch ===
version=4

opts=" \
	mode=git, \
	repack, \
	compression=xz, \
	repacksuffix=+ds, \
	dversionmangle=auto,uversionmangle=s/a/~a/, \
	filenamemangle=s%(?:.*?)?v?(\d[\d.]*).tar.gz%@PACKAGE@-$1.tar.gz% \
" \
https://github.com/lpantano/seqcluster.git \
refs/tags/v?@ANY_VERSION@
