## python-seqcluster 1.2.9+ds

=== debian/changelog ===
python-seqcluster (1.2.9+ds-5) unstable; urgency=medium

  * Team upload.
  [ Alexandre Detiste ]
  * remove dep on python3-dateutil
  [ Santiago Vila ]
  * Fix build with nocheck.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 11 Apr 2025 19:35:00 +0200

python-seqcluster (1.2.9+ds-4) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * remove runtime dependency on python3-nose

  [ Étienne Mollier ]
  * scipy-1.12.patch: new: fix test failure due to binom_test deprecation.
    (Closes: #1076912)
  * d/control: declare compliance to standards version 4.7.0.
  * d/copyright: clarify residence in contrib due to vienna-rna.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Aug 2024 19:41:04 +0200
