=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                python3-pysam,
                python3-numpy,
                python3-progressbar,
-               python3-nose,
-               python3-recommonmark,
+               python3-nose2,
+               python3-myst-parser,
                python3-biopython,
                python3-pandas,
                python3-yaml,
@@ -28,7 +28,7 @@
                python3-colorlog <!nocheck>,
                vienna-rna <!nocheck>,
                python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-seqcluster
 Vcs-Git: https://salsa.debian.org/med-team/python-seqcluster.git
 Homepage: https://github.com/lpantano/seqcluster
@@ -36,18 +36,18 @@
 
 Package: python3-seqcluster
 Architecture: all
+Section: contrib/python
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-pysam,
          python3-pybedtools,
          python3-scipy,
          python3-numpy,
-         python3-nose,
          python3-progressbar,
          python3-pandas,
          python3-colorlog,
          python3-mirtop,
-         python3-recommonmark,
+         python3-myst-parser,
          python3-yaml
 Recommends: rna-star,
             bowtie2|bowtie,
@@ -62,7 +62,6 @@
             libjs-jquery-tablesorter,
             libjs-jquery-ui,
 # listed as a requirement
-            python3-dateutils,
             python3-tz,
 # https://github.com/lpantano/seqcluster/blob/master/scripts/install_libraries.R
             r-bioc-deseq2,
