=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	dh_auto_install
 	find debian/python3-seqcluster -name "*.bed" | xargs -r chmod -x
 	# avoid hassle with refs to external instances of bootstrap and jquery
-	rm -r debian/python3-seqcluster/usr/lib/python3*/dist-packages/data/examples_report/
+	rm -rf debian/python3-seqcluster/usr/lib/python3*/dist-packages/data/examples_report/
 	mv debian/python3-seqcluster/usr/bin debian/seqcluster/usr/
 
 override_dh_installdocs:
@@ -38,7 +38,7 @@
 	sed -i '1s/$$/ -d/' $(CURDIR)/debian/python3-seqcluster/usr/bin/seqcluster
 	PYBUILD_SYSTEM=custom \
 	    PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
-	    cd {build_dir}; export PYTHONPATH=$$(pwd):$$(build_dir); {interpreter} -m nose \
+	    cd {build_dir}; export PYTHONPATH=$$(pwd):$$(build_dir); {interpreter} -m nose2 \
 	    -q" dh_auto_test
 else
 	echo "Not running tests."
